#include <bits/stdc++.h>

using namespace std;

int find_number(int MAX) {
    int l = 1, r = MAX, ans = MAX;
    while (l <= r) {
        int mid = (l + r) / 2;
        
        if (smaller(mid))
            l = mid + 1;
        
        else {
            ans = mid;
            r = mid - 1;
        }
    }
    
    return ans;
}